# Created by pyp2rpm-3.3.7
%global pypi_name matrix-common
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Common utilities for Synapse, Sydent and Sygnal

License:        None
URL:            https://github.com/matrix-org/matrix-python-common
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 matrix-python-commonCommon utilities for Synapse, Sydent and Sygnal.
Installationshell pip install matrix-common Usageimport matrix_common
DevelopmentIn a virtual environment with pip ≥ 21.1, runpip install -e .[dev]
To run the unit tests, you can either use:tox -e pyortrial tests To run the
linters and mypy type checker, use ./scripts-dev/lint.sh. ReleasingThe exact
steps for releasing will...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(attrs)
%description -n python3-%{pypi_name}
 matrix-python-commonCommon utilities for Synapse, Sydent and Sygnal.
Installationshell pip install matrix-common Usageimport matrix_common
DevelopmentIn a virtual environment with pip ≥ 21.1, runpip install -e .[dev]
To run the unit tests, you can either use:tox -e pyortrial tests To run the
linters and mypy type checker, use ./scripts-dev/lint.sh. ReleasingThe exact
steps for releasing will...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 18 2022 Alex Manning <mail@alex-m.co.uk> - 1.0.0-1
- Initial package.
